Bug 192224 - [patch] databases/freetds 0.64_11,1 with libiodbc 3.52.9
Summary: [patch] databases/freetds 0.64_11,1 with libiodbc 3.52.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-28 22:38 UTC by Denys Razumov
Modified: 2014-08-17 21:01 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denys Razumov 2014-07-28 22:38:17 UTC
Error while compilling with libiodbc(wrong path to include)

# cat /usr/ports/databases/freetds/files/patch-include_tdsodbc.h
--- include/tdsodbc.h.orig      2006-02-24 23:14:21.000000000 +0200
+++ include/tdsodbc.h   2014-07-29 01:16:57.000000000 +0300
@@ -31,8 +31,8 @@
 #include <sql.h>
 #include <sqlext.h>
 #else /* IODBC */
-#include <isql.h>
-#include <isqlext.h>
+#include <libiodbc/isql.h>
+#include <libiodbc/isqlext.h>
 #ifdef HAVE_IODBCINST_H
 #include <iodbcinst.h>
 #endif /* HAVE_IODBCINST_H */
Comment 1 John Marino freebsd_committer 2014-07-29 08:03:57 UTC
Notify maintainer for approval
Comment 2 John Marino freebsd_committer 2014-08-17 19:11:38 UTC
maintainer timed out, this patch no longer requires approval.  Moving to patch-ready.
Comment 3 John Marino freebsd_committer 2014-08-17 20:21:04 UTC
I'm resetting the maintainer on this port.  He's timed out a few times (for months) and hasn't been seen since 2009.

Also must of the MASTER_SITES are busted.  It seems that this port is very old and unloved.
Comment 4 commit-hook freebsd_committer 2014-08-17 20:47:22 UTC
A commit references this bug:

Author: marino
Date: Sun Aug 17 20:46:38 UTC 2014
New revision: 365246
URL: http://svnweb.freebsd.org/changeset/ports/365246

Log:
  databases/freetds: Fix build with libiodbc, reset maintainer

  The maintainer (cowbert) hasn't been seen since 2009 and several PRs
  timed out in the span of months.  Reset freetds and it's slave port.

  Moveover, it's ancient.  All the MASTER_SITES are gone.  I had to
  switch this over to Fedora repo so that it had public distfiles again.

  The actual PR fixes the build when libiodbc is selected.
  There is a freetds-devel port that's much newer.  I recommend that it
  move these location and they disappear.

  PR:		192224
  Submitted by:	Denys Razumov
  Approved by:	maintainer timeout (of course)

Changes:
  head/databases/freetds/Makefile
  head/databases/freetds/files/patch-include_tdsodbc.h
  head/databases/freetds-msdblib/Makefile
Comment 5 John Marino freebsd_committer 2014-08-17 20:53:32 UTC
these freetds ports need to be replaced by freetds-devel.
Thanks for the (temporary?) patch.